/*
 @licstart  The following is the entire license notice for the JavaScript code in this file.

 The MIT License (MIT)

 Copyright (C) 1997-2020 by Dimitri van Heesch

 Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 and associated documentation files (the "Software"), to deal in the Software without restriction,
 including without limitation the rights to use, copy, modify, merge, publish, distribute,
 sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:

 The above copyright notice and this permission notice shall be included in all copies or
 substantial portions of the Software.

 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING
 BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM,
 DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

 @licend  The above is the entire license notice for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "OGRE", "index.html", [
    [ "API Reference Start Page", "index.html", "index" ],
    [ "Setting Up Ogre", "_setting_up_ogre.html", [
      [ "Windows", "_setting_up_ogre_windows.html", [
        [ "Requirements", "_setting_up_ogre_windows.html#RequirementsWindows", null ],
        [ "Downloading Ogre", "_setting_up_ogre_windows.html#DownloadingOgreWindows", null ],
        [ "Building Dependencies", "_setting_up_ogre_windows.html#BuildingDependenciesWindows", null ],
        [ "Building Ogre", "_setting_up_ogre_windows.html#BuildingOgreWindows", null ]
      ] ],
      [ "Linux", "_setting_up_ogre_linux.html", [
        [ "Requirements", "_setting_up_ogre_linux.html#RequirementsLinux", null ],
        [ "Downloading Ogre", "_setting_up_ogre_linux.html#DownloadingOgreLinux", null ],
        [ "Building Dependencies", "_setting_up_ogre_linux.html#BuildingDependenciesLinux", null ],
        [ "Building Ogre", "_setting_up_ogre_linux.html#BuildingOgreLinux", null ],
        [ "Setting Up Ogre with QtCreator", "_setting_up_ogre_linux.html#SettingUpOgreWithQtCreatorLinux", null ]
      ] ],
      [ "iOS", "_setting_up_ogre_i_o_s.html", [
        [ "Requirements", "_setting_up_ogre_i_o_s.html#Requirements_iOS", null ],
        [ "Downloading Ogre", "_setting_up_ogre_i_o_s.html#DownloadingOgre_iOS", null ],
        [ "Building Ogre", "_setting_up_ogre_i_o_s.html#BuildingOgre_iOS", null ]
      ] ],
      [ "macOS", "_setting_up_ogre_mac_o_s.html", [
        [ "Install cmake", "_setting_up_ogre_mac_o_s.html#autotoc_md12", null ],
        [ "Install dependencies", "_setting_up_ogre_mac_o_s.html#autotoc_md13", null ],
        [ "Build Ogre", "_setting_up_ogre_mac_o_s.html#autotoc_md14", null ],
        [ "Build offline version of the docs", "_setting_up_ogre_mac_o_s.html#autotoc_md15", null ]
      ] ]
    ] ],
    [ "Using Ogre in your App", "_using_ogre_in_your_app.html", [
      [ "Overview", "_using_ogre_in_your_app.html#UsingOgreInYourAppOverview", null ],
      [ "Speeding things up", "_using_ogre_in_your_app.html#SpeedingThingsUp", [
        [ "Small note about iOS", "_using_ogre_in_your_app.html#SmallNoteAbout_iOS", null ],
        [ "Creating your application with 'EmptyProject' script", "_using_ogre_in_your_app.html#CreatingYourApplication", [
          [ "A note about copied files from Samples/2.0/Common", "_using_ogre_in_your_app.html#AnoteaboutcopiedfilesfromSamples_20_Common", null ]
        ] ],
        [ "Supporting Multithreading loops from the get go", "_using_ogre_in_your_app.html#SupportingMultithreadingLoopsFromTheGetGo", null ]
      ] ]
    ] ],
    [ "Manual", "manual.html", [
      [ "Changes: Objects, Scene & Nodes", "_ogre20_changes.html", [
        [ "Names are now optional", "_ogre20_changes.html#NamesAreNowOptional", null ],
        [ "How to debug MovableObjects' (and Nodes) data", "_ogre20_changes.html#HowToDebugMovableObjectsData", [
          [ "Interpreting ArrayVector3", "_ogre20_changes.html#InterpretingArrayVector3", null ],
          [ "Dummy pointers instead of NULL", "_ogre20_changes.html#DummyPointers", null ]
        ] ],
        [ "Attachment and Visibility", "_ogre20_changes.html#AttachmentAndVisibility", null ],
        [ "Attaching/Detaching is more expensive than hiding", "_ogre20_changes.html#AttachingDetachingIsMoreExpensive", null ],
        [ "All MovableObjects require a SceneNode (Lights & Cameras)", "_ogre20_changes.html#AllMovableObjectsRequireSceneNode", null ],
        [ "Obtaining derived transforms", "_ogre20_changes.html#DerivedTransforms", null ],
        [ "SCENE_STATIC and SCENE_DYNAMIC", "_ogre20_changes.html#SceneStaticSceneDynamic", [
          [ "What means a Node to be SCENE_STATIC", "_ogre20_changes.html#SceneStaticNode", null ],
          [ "What means a Entities (and InstancedEntities) to be SCENE_STATIC", "_ogre20_changes.html#SceneStaticEntities", null ],
          [ "General", "_ogre20_changes.html#SceneStaticGeneral", null ]
        ] ],
        [ "Ogre asserts mCachedAabbOutOfDate or mCachedTransformOutOfDate while in debug mode", "_ogre20_changes.html#AssersionCachedOutOfDate", null ],
        [ "Custom classes derived from Renderable or MovableObject", "_ogre20_changes.html#DerivingRenderable", null ],
        [ "How do I get the vertex information from the new v2 Mesh classes?", "_ogre20_changes.html#V2MeshInformation", null ],
        [ "How do I set the element offsets, vertex buffer's source and index?", "_ogre20_changes.html#V2MeshElementOffset", null ],
        [ "My scene looks too dark or dull!", "_ogre20_changes.html#SceneLooksDarkDull", null ],
        [ "I activated gamma correction, but now my GUI textures look washed out!", "_ogre20_changes.html#GUIWashedOut", null ]
      ] ],
      [ "Technical Overview", "_technical_overview.html", [
        [ "Overview", "_technical_overview.html#TechnicalOverviewOverview", [
          [ "SIMD Coherence", "_technical_overview.html#SIMDCoherence", null ]
        ] ],
        [ "Memory Managers usage patterns", "_technical_overview.html#MemoryManagerUsagePatterns", [
          [ "Cleanups", "_technical_overview.html#MemoryManagerCleanups", null ]
        ] ],
        [ "Memory preallocation", "_technical_overview.html#MemoryPreallocation", null ],
        [ "Configuring memory managers", "_technical_overview.html#ConfiguringMemoryManagers", null ],
        [ "Where is RenderTarget::update? Why do I get errors in Viewport?", "_technical_overview.html#RenderTargetUpdate", null ],
        [ "Porting from 1.x to 2.0", "_technical_overview.html#PortingV1ToV2", null ],
        [ "Porting from 2.0 to 2.1", "_technical_overview.html#PortingV20ToV21", null ]
      ] ],
      [ "Compositor", "compositor.html", [
        [ "Nodes", "compositor.html#CompositorNodes", [
          [ "Input & output channels and RTTs", "compositor.html#CompositorNodesChannelsAndRTTs", [
            [ "Locally declared textures", "compositor.html#CompositorNodesChannelsAndRTTsLocalTextures", null ],
            [ "It comes from an input channel", "compositor.html#CompositorNodesChannelsAndRTTsFromInputChannel", null ],
            [ "It is a global texture", "compositor.html#CompositorNodesChannelsAndRTTsGlobal", null ],
            [ "Main RenderTarget", "compositor.html#CompositorNodesChannelsAndRTTsMainRenderTarget", null ]
          ] ],
          [ "Target", "compositor.html#CompositorNodesTarget", null ],
          [ "Passes", "compositor.html#CompositorNodesPasses", [
            [ "clear", "compositor.html#CompositorNodesPassesClear", null ],
            [ "generate_mipmaps", "compositor.html#CompositorNodesPassesGenerateMipmaps", null ],
            [ "quad", "compositor.html#CompositorNodesPassesQuad", null ],
            [ "resolve", "compositor.html#CompositorNodesPassesResolve", null ],
            [ "render_scene", "compositor.html#CompositorNodesPassesRenderScene", null ],
            [ "stencil", "compositor.html#CompositorNodesPassesStencil", null ],
            [ "uav_queue", "compositor.html#CompositorNodesPassesUavQueue", [
              [ "Synchronization", "compositor.html#CompositorNodesPassesUavQueueSync", null ]
            ] ],
            [ "compute", "compositor.html#CompositorNodesPassesCompute", null ]
          ] ],
          [ "Textures", "compositor.html#CompositorNodesTextures", [
            [ "MSAA: Explicit vs Implicit resolves", "compositor.html#CompositorNodesTexturesMsaa", [
              [ "Implicit resolves", "compositor.html#CompositorNodesTexturesMsaaImplicit", null ],
              [ "Explicit resolves", "compositor.html#CompositorNodesTexturesMsaaExplicit", null ],
              [ "Resources", "compositor.html#CompositorNodesTexturesMsaaResources", null ]
            ] ],
            [ "Depth Textures", "compositor.html#CompositorNodesTexturesDepth", null ]
          ] ]
        ] ],
        [ "Shadow Nodes", "compositor.html#CompositorShadowNodes", [
          [ "Setting up shadow nodes", "compositor.html#CompositorShadowNodesSetup", null ],
          [ "Example", "compositor.html#CompositorShadowNodesExample", null ],
          [ "Shadow map atlas & Point Lights", "compositor.html#CompositorShadowNodesAtlasAndPointLights", null ],
          [ "Reuse, recalculate and first", "compositor.html#CompositorShadowNodesReuseEtc", null ],
          [ "Shadow mapping setup types", "compositor.html#CompositorShadowNodesTypes", [
            [ "Uniform shadow mapping", "compositor.html#CompositorShadowNodesTypesUniform", null ],
            [ "Focused", "compositor.html#CompositorShadowNodesTypesFocused", null ],
            [ "PSSM / CSM", "compositor.html#CompositorShadowNodesTypesPssm", null ],
            [ "Plane Optimal", "compositor.html#CompositorShadowNodesTypesPlaneOptimal", null ]
          ] ],
          [ "Writing shaders", "compositor.html#CompositorShadowNodesShaders", null ]
        ] ],
        [ "Workspaces", "compositor.html#CompositorWorkspaces", [
          [ "Data dependencies between nodes and circular dependencies", "compositor.html#CompositorWorkspacesDataDependencies", null ]
        ] ],
        [ "Setting up code", "compositor.html#CompositorSetupCode", [
          [ "Initializing the workspace", "compositor.html#CompositorWorkspacesSetupInitialize", null ],
          [ "Simple bootstrap for beginners", "compositor.html#CompositorWorkspacesSetupSimple", null ],
          [ "Advanced C++ users", "compositor.html#CompositorWorkspacesSetupAdvanced", null ]
        ] ],
        [ "Stereo and Split-Screen Rendering", "compositor.html#StereoAndSplitScreenRendering", [
          [ "Per-Workspace offset and scale", "compositor.html#CompositorWorkspacesStereoPerWorkspace", null ],
          [ "Viewport modifier mask", "compositor.html#CompositorWorkspacesStereoViewportMask", null ],
          [ "Execution mask", "compositor.html#CompositorWorkspacesStereoExecutionMask", null ],
          [ "Default values", "compositor.html#CompositorWorkspacesStereoDefaultValues", null ]
        ] ]
      ] ],
      [ "Instancing", "instancing.html", [
        [ "What is instancing?", "instancing.html#WhatIsInstancing", null ],
        [ "Instancing 101", "instancing.html#Instancing101", [
          [ "Instances per batch", "instancing.html#InstancesPerBatch", null ]
        ] ],
        [ "Techniques", "instancing.html#InstancingTechniques", [
          [ "ShaderBased", "instancing.html#InstancingTechniquesShaderBased", null ],
          [ "VTF (Software)", "instancing.html#InstancingTechniquesVTFSoftware", null ],
          [ "HW VTF", "instancing.html#InstancingTechniquesHWVTF", [
            [ "HW VTF LUT", "instancing.html#InstancingTechniquesHW", null ]
          ] ],
          [ "HW Basic", "instancing.html#InstancingTechniquesHWBasic", null ]
        ] ],
        [ "Custom parameters", "instancing.html#InstancingCustomParameters", null ],
        [ "Supporting multiple submeshes", "instancing.html#InstancingMultipleSubmeshes", null ],
        [ "Defragmenting batches", "instancing.html#InstancingDefragmentingBatches", [
          [ "What is batch fragmentation?", "instancing.html#InstancingDefragmentingBatchesIntro", null ],
          [ "Prevention: Avoiding fragmentation", "instancing.html#InstancingDefragmentingBatchesPrevention", null ],
          [ "Cure: Defragmenting on the fly", "instancing.html#InstancingDefragmentingBatchesOnTheFly", null ]
        ] ],
        [ "Troubleshooting", "instancing.html#InstancingTroubleshooting", null ]
      ] ],
      [ "Threading", "threading.html", [
        [ "Initializing", "threading.html#ThreadingInitializing", [
          [ "Ideal number of threads", "threading.html#ThreadingInitializingNumberOfThreads", null ],
          [ "More info about InstancingThreadedCullingMethod", "threading.html#ThreadingInitializingCullingMethod", null ]
        ] ],
        [ "What tasks are threaded in Ogre", "threading.html#ThreadingInOgre", null ],
        [ "Using Ogre's threading system for custom tasks", "threading.html#ThreadingCustomTasks", null ],
        [ "Thread safety of SceneNodes", "threading.html#ThreadSafetySceneNodes", null ]
      ] ],
      [ "Performance Hints", "performance.html", null ],
      [ "HLMS: High Level Material System", "hlms.html", [
        [ "Fundamental changes", "hlms.html#HlmsChanges", [
          [ "Viewports and Scissor tests", "hlms.html#HlmsChangesViewports", null ],
          [ "A lot of data is stored in \"Blocks\"", "hlms.html#HlmsChangesBlocks", null ],
          [ "Materials are still alive", "hlms.html#HlmsChangesMaterialsAlive", null ],
          [ "Fixed Function has been removed", "hlms.html#HlmsChangesFFP", null ]
        ] ],
        [ "The three components", "hlms.html#HlmsComponents", null ],
        [ "Blocks", "hlms.html#HlmsBlocks", [
          [ "Datablocks", "hlms.html#HlmsBlocksDatablocks", null ],
          [ "Macroblocks", "hlms.html#HlmsBlocksMacroblocks", null ],
          [ "Blendblocks", "hlms.html#HlmsBlocksBlendblocks", null ],
          [ "Samplerblocks", "hlms.html#HlmsBlocksSampleblocks", null ]
        ] ],
        [ "Hlms templates", "hlms.html#HlmsTemplates", null ],
        [ "The Hlms preprocessor", "hlms.html#HlmsPreprocessor", [
          [ "Preprocessor syntax", "hlms.html#HlmsPreprocessorSyntax", [
            [ "@property( expression )", "hlms.html#HlmsPreprocessorSyntaxProperty", null ],
            [ "@foreach( count, scopedVar, [start] )", "hlms.html#HlmsPreprocessorSyntaxForeach", null ],
            [ "@counter( variable )", "hlms.html#HlmsPreprocessorSyntaxCounter", null ],
            [ "@value( variable )", "hlms.html#HlmsPreprocessorSyntaxValue", null ],
            [ "@set add sub mul div mod min max", "hlms.html#HlmsPreprocessorSyntaxSetEtc", null ],
            [ "@piece( nameOfPiece )", "hlms.html#HlmsPreprocessorSyntaxPiece", null ],
            [ "@insertpiece( nameOfPiece )", "hlms.html#HlmsPreprocessorSyntaxInsertpiece", null ],
            [ "@undefpiece( nameOfPiece )", "hlms.html#HlmsPreprocessorSyntaxUndefpiece", null ],
            [ "@pset padd psub pmul pdiv pmod pmin pmax", "hlms.html#HlmsPreprocessorSyntaxPsetEtc", null ]
          ] ]
        ] ],
        [ "Creation of shaders", "hlms.html#HlmsCreationOfShaders", [
          [ "C++ interaction with shader templates", "hlms.html#HlmsCreationOfShadersCpp", null ],
          [ "Common conventions", "hlms.html#HlmsCreationOfShadersConventions", null ],
          [ "Hot reloading", "hlms.html#HlmsCreationOfShadersHotReloading", null ],
          [ "Disabling a stage", "hlms.html#HlmsCreationOfShadersDisablingStage", null ],
          [ "Customizing an existing implementation", "hlms.html#HlmsCreationOfShadersCustomizing", null ]
        ] ],
        [ "Run-time rendering", "hlms.html#HlmsRuntimeRendering", [
          [ "preparePassHash", "hlms.html#HlmsRuntimeRenderingPreparePassHash", null ],
          [ "fillBuffersFor", "hlms.html#HlmsRuntimeRenderingFillBuffersFor", null ]
        ] ],
        [ "Using the HLMS implementations", "hlms.html#UsingHlmsImplementation", [
          [ "Initialization", "hlms.html#UsingHlmsImplementationInitialization", null ],
          [ "Deinitialization", "hlms.html#UsingHlmsImplementationDeinitilization", null ],
          [ "Creating a datablock", "hlms.html#UsingHlmsImplementationCreatingDatablock", null ]
        ] ],
        [ "The Hlms Texture Manager", "hlms.html#HlmsTextureManager", [
          [ "Automatic batching", "hlms.html#HlmsTextureManagerAutomaticBatching", [
            [ "Texture types", "hlms.html#HlmsTextureManagerAutomaticBatchingTextureTypes", null ],
            [ "Automatic parameters", "hlms.html#HlmsTextureManagerAutomaticBatchingAutoParams", null ],
            [ "Loading a texture twice (i.e. with a different format) via aliasing", "hlms.html#HlmsTextureManagerAutomaticBatchingLoadingTwice", null ]
          ] ],
          [ "Manual: Texture packs", "hlms.html#HlmsTextureManagerTexturePacks", null ],
          [ "Watching out for memory consumption", "hlms.html#HlmsTextureManagerWatchOutMemory", [
            [ "Additional memory considerations", "hlms.html#HlmsTextureManagerWatchOutMemoryConsiderations", null ]
          ] ]
        ] ],
        [ "Troubleshooting", "hlms.html#HlmsTroubleshooting", [
          [ "My shadows don't show up or are very glitchy", "hlms.html#HlmsTroubleshootingShadow", null ]
        ] ]
      ] ],
      [ "AZDO changes (Aproaching Zero Driver Overhead)", "azdo.html", [
        [ "V2 and v1 objects", "azdo.html#V2AndV1Objects", [
          [ "Longevity of the v1 objects and deprecation", "azdo.html#V2AndV1ObjectsV1Longevity", null ]
        ] ],
        [ "Render Queue", "azdo.html#RenderQueue", null ],
        [ "The VaoManager", "azdo.html#VaoMaanger", null ]
      ] ],
      [ "The Command Buffer", "commandbuffer.html", [
        [ "Adding a command", "commandbuffer.html#CommandBufferAddCommand", null ],
        [ "Structure of a command", "commandbuffer.html#CommandBufferCommandStructure", null ],
        [ "Execution table", "commandbuffer.html#CommandBufferExecutionTable", [
          [ "Hacks and Tricks", "commandbuffer.html#CommandBufferExecutionTableHacks", null ]
        ] ],
        [ "Post-processing the command buffer", "commandbuffer.html#CommandBufferPostProcessing", null ]
      ] ],
      [ "What's new in Ogre 2.2", "_ogre22_changes.html", [
        [ "Load Store semantics", "_ogre22_changes.html#autotoc_md19", [
          [ "Now that we’ve explained how TBDRs work, we can explain load and store actions", "_ogre22_changes.html#autotoc_md20", null ]
        ] ],
        [ "More control over MSAA", "_ogre22_changes.html#autotoc_md21", null ],
        [ "Porting to Ogre 2.2 from 2.1", "_ogre22_changes.html#autotoc_md22", [
          [ "PixelFormats", "_ogre22_changes.html#autotoc_md23", [
            [ "Common pixel format equivalencies", "_ogre22_changes.html#autotoc_md24", null ]
          ] ],
          [ "Useful code snippets", "_ogre22_changes.html#autotoc_md25", [
            [ "Create a TextureGpu based on a file", "_ogre22_changes.html#autotoc_md26", null ],
            [ "Create a TextureGpu based that you manually fill", "_ogre22_changes.html#autotoc_md27", null ],
            [ "Uploading data to a TextureGpu", "_ogre22_changes.html#autotoc_md28", null ],
            [ "Upload streaming", "_ogre22_changes.html#autotoc_md29", null ],
            [ "Downloading data from TextureGpu into CPU", "_ogre22_changes.html#autotoc_md30", null ],
            [ "Downloading streaming", "_ogre22_changes.html#autotoc_md31", null ]
          ] ]
        ] ],
        [ "Difference between depth, numSlices and depthOrSlices", "_ogre22_changes.html#autotoc_md32", null ],
        [ "Memory layout of textures and images", "_ogre22_changes.html#autotoc_md33", null ],
        [ "Troubleshooting errors", "_ogre22_changes.html#autotoc_md34", null ],
        [ "RenderPassDescriptors", "_ogre22_changes.html#autotoc_md35", null ],
        [ "DescriptorSetTexture & co.", "_ogre22_changes.html#autotoc_md36", null ],
        [ "Does 2.2 interoperate well with the HLMS texture arrays?", "_ogre22_changes.html#autotoc_md37", null ],
        [ "Hlms porting", "_ogre22_changes.html#autotoc_md38", null ],
        [ "Things to watch out when porting", "_ogre22_changes.html#autotoc_md39", null ]
      ] ],
      [ "Behavor of StagingTexture in D3D11", "_behavor_staging_texture_d3_d11.html", [
        [ "Attempting to be contiguous", "_behavor_staging_texture_d3_d11.html#autotoc_md16", null ],
        [ "Slicing in 3", "_behavor_staging_texture_d3_d11.html#autotoc_md17", null ],
        [ "Slicing in the middle", "_behavor_staging_texture_d3_d11.html#autotoc_md18", null ]
      ] ]
    ] ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Topics", "topics.html", "topics" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", null ],
        [ "Variables", "namespacemembers_vars.html", null ],
        [ "Typedefs", "namespacemembers_type.html", "namespacemembers_type" ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", "namespacemembers_eval" ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Properties", "functions_prop.html", null ],
        [ "Related Symbols", "functions_rela.html", "functions_rela" ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", null ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", null ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ]
  ] ]
];

var NAVTREEINDEX =
[
"_android_2_ogre_config_dialog_imp_8h.html",
"_ogre_cb_common_8h.html#a769d41c00dac951b9c2162c6c1a73573ab0b8c593c97eeecc64e5cd89b10dcb66",
"_ogre_d3_d9_prerequisites_8h.html",
"_ogre_g_l_e_s2_prerequisites_8h.html#aceac4720c1c69c14772608482bb3d884",
"_ogre_ies_loader_8h.html#a532a041cf9ef0743af3536986b358216a999aef8f481c6ce597480c914d4e1959",
"_ogre_o_s_version_helpers_8h.html#ad8a247a955766c3f4905be6c3021f93c",
"_ogre_render_pass_descriptor_8h.html#a5660308b2075405f9623301506fc922ea93b9f8ed9b1c64bdd284284e2e7c77e8",
"_ogre_terrain_prerequisites_8h.html#ae9aa0b56067c2069d99ccc9894cf9a03",
"_ogre_thread_defines_t_b_b_8h.html#afd886be58b0d9b415076b07abfcc50fc",
"_setting_up_ogre_mac_o_s.html#autotoc_md12",
"class_ogre_1_1_absolute_pixel_count_lod_strategy.html#aca8fdfeda9ae762ed441aa9aaea5589a",
"class_ogre_1_1_android_e_g_l_window.html#a552ded694f3bd7013e8d1d8d14f144ba",
"class_ogre_1_1_animable_value.html#a61de4fd8eca078570639cb200178a40d",
"class_ogre_1_1_array_matrix4.html#a9ad5e41974f37356e8e3e645d94911e5",
"class_ogre_1_1_array_sphere.html#ae143885ae832213c23b460dfd35d3c1a",
"class_ogre_1_1_async_texture_ticket.html#ab1e2325da309a80f83edcfab5300cbb4",
"class_ogre_1_1_auto_param_data_source.html#ae062455476f67ebfeb7f3fddba6adf8c",
"class_ogre_1_1_bone_array_memory_manager.html#a81ef5397bd517180f3f0e88f9a78633f",
"class_ogre_1_1_camera.html#a02e8c5cc62dadc7db0ead1cccdefdb65",
"class_ogre_1_1_camera.html#a7666cc73efeab787e0094ee992eb9fee",
"class_ogre_1_1_camera.html#ae7cecc250280ead89a82b1390954034f",
"class_ogre_1_1_cocoa_window.html#a97b2d63554ec8e515789ac65c6200a33",
"class_ogre_1_1_command_buffer.html#ac0b09aa00ae04532d3921538f61fa74a",
"class_ogre_1_1_compositor_node_def.html#abdaf6d8ca26ad0396e2a6efbe8d75a29",
"class_ogre_1_1_compositor_pass_def.html#a6e881a7f92659dabfe52eefec2ccf603",
"class_ogre_1_1_compositor_pass_mipmap_def.html#aa3381e8cd31c5ccbc33f1d1c5bf9b86c",
"class_ogre_1_1_compositor_pass_scene_def.html#adf943c28ea67c3d52d2e02058eeedbc1",
"class_ogre_1_1_compositor_shadow_map_target_type_translator.html#acb46d4b0a597156d9ba5abc39d127792",
"class_ogre_1_1_compositor_workspace.html#a415cbf8806d2fa75625f877f0e9201f8",
"class_ogre_1_1_config_file.html#ad1f1a983f9e2dfddee802c47bb0b1ca9",
"class_ogre_1_1_controller_value.html#a3f27d2383b9e994be2ee5cb71fc603fd",
"class_ogre_1_1_d3_d11_async_texture_ticket.html#ad1f1a983f9e2dfddee802c47bb0b1ca9",
"class_ogre_1_1_d3_d11_depth_buffer.html#a028fe21bd20764de8c13862849d07622",
"class_ogre_1_1_d3_d11_depth_texture.html#a77d5f72e02500f6db6f460bb48eac721",
"class_ogre_1_1_d3_d11_depth_texture_target.html#acfb338c927b445144253ce6893bbbb55",
"class_ogre_1_1_d3_d11_gpu_program_manager.html#a8be1311bf4d7653db1288a93ba6fbf78",
"class_ogre_1_1_d3_d11_h_l_s_l_program.html#a7821845efe3a09f5823007849ec7ce75",
"class_ogre_1_1_d3_d11_mappings.html#a3b7b6b9e804041cd4e81f7d9995f514e",
"class_ogre_1_1_d3_d11_null_texture.html#a1686b8aef3b2c8d3892ae453086073c4",
"class_ogre_1_1_d3_d11_null_texture_target.html#a15f59cd1b4a2b2e65fcee349d78ae490a6df94556ae07dfa0384808dca8dedb64",
"class_ogre_1_1_d3_d11_render_system.html#a0c157a039184ac45bf575fb0d00601de",
"class_ogre_1_1_d3_d11_render_system.html#a95316a99c72a803d059b4abe8628b4b8",
"class_ogre_1_1_d3_d11_render_texture.html#a6dd357cb57f1020fb11de230f7fee61a",
"class_ogre_1_1_d3_d11_render_window_base.html#acb46d4b0a597156d9ba5abc39d127792",
"class_ogre_1_1_d3_d11_render_window_swap_chain_based.html#aed1464ac3de21ff20db8f9f1f8608dc7",
"class_ogre_1_1_d3_d11_stereo_driver_n_v_i_d_i_a.html#a8357fe4fb4849772b94baa4bf47c7ded",
"class_ogre_1_1_d3_d11_texture.html#a77d5f72e02500f6db6f460bb48eac721",
"class_ogre_1_1_d3_d11_texture_gpu.html#aa2ee4d088c32b3e9efeb4d2fec5cad3e",
"class_ogre_1_1_d3_d11_texture_gpu_render_target.html#a54dfe2523d8e5647e79caaf28c296d4e",
"class_ogre_1_1_d3_d11_texture_gpu_window.html#a6ae40391d39c8feae00acaf25839c6f9",
"class_ogre_1_1_d3_d11_texture_manager.html#acd4223279e97a7687e2f9994f05e2491",
"class_ogre_1_1_d3_d11_vao_manager.html#afce1736c1c28af8657aaf863d366240f",
"class_ogre_1_1_d3_d11_window_swap_chain_based.html#abffec246be83d1df9c7a8c6ecb0249ea",
"class_ogre_1_1_d3_d9_device_manager.html#ad1f1a983f9e2dfddee802c47bb0b1ca9",
"class_ogre_1_1_d3_d9_gpu_fragment_program.html#a93d9189744cc0d7188fc9a06eece58eb",
"class_ogre_1_1_d3_d9_gpu_program.html#aa31bef1bfaa87731622e56f11b548e27",
"class_ogre_1_1_d3_d9_gpu_program_manager.html#af96b58b31c152a8ae3c6152ee3ea12e7",
"class_ogre_1_1_d3_d9_h_l_s_l_program.html#a0389e214a82832a0c11d91babbc0d65f",
"class_ogre_1_1_d3_d9_h_l_s_l_program.html#af843c9fdc4918e9201e8381ed2a1617e",
"class_ogre_1_1_d3_d9_mappings.html#a013e603712b5d552f59c4557c3bcff6f",
"class_ogre_1_1_d3_d9_plugin.html#a1c727e879a260c37b00ce5505fe8e144",
"class_ogre_1_1_d3_d9_render_system.html#a697f9a8c12f2d08ccc6185cd7992c238",
"class_ogre_1_1_d3_d9_render_system.html#ada60763d5b8ef9cfba1c77ecfe3e4188",
"class_ogre_1_1_d3_d9_render_window.html#a0c00ca9d1ba7f3efc248ae86511fbff9",
"class_ogre_1_1_d3_d9_resource_manager.html#a2e5c4329b1c7abf2af86ca8e7040f218",
"class_ogre_1_1_d3_d9_texture.html#a226649efcfea4e395fae458465213dc6",
"class_ogre_1_1_d3_d9_texture_manager.html#a65730ea50a81401518b4cbf6bb6a0a73",
"class_ogre_1_1_d_d_s_codec2.html#aedb803489bfc3bcbf600ee6dfa2caf8a",
"class_ogre_1_1_decal.html#aed8ab393d6f46e865a6753be69f96d8b",
"class_ogre_1_1_default_plane_bounded_volume_list_scene_query.html#a8357fe4fb4849772b94baa4bf47c7ded",
"class_ogre_1_1_default_scene_manager.html#a315288f34c602a3242edfe13354748bc",
"class_ogre_1_1_default_scene_manager.html#a98dbd81cd9867b1032e02e1780b6eb49",
"class_ogre_1_1_default_scene_manager_factory.html#ab422c67a2c8844f410fe822a357cba3b",
"class_ogre_1_1_default_work_queue_base.html#a7b7a4119647b82187af2341d96f51e3b",
"class_ogre_1_1_distance_lod_strategy_base.html#a1c727e879a260c37b00ce5505fe8e144",
"class_ogre_1_1_e_g_l_window.html",
"class_ogre_1_1_e_g_l_window.html#ad4e95b76827cb41d936ccb4a8c308c6e",
"class_ogre_1_1_egl_p_buffer_window.html#ac863907feaf796e7b8073a7a5b8cc24b",
"class_ogre_1_1_emscripten_e_g_l_support.html#a80901e793c70a24a680064a9836dd022",
"class_ogre_1_1_emscripten_e_g_l_window.html#ab6a57b4b121d4f1af4e98bcc4f86e161",
"class_ogre_1_1_fast_array.html#aa70b29c206f1c7f0df3ef96b8df38be9",
"class_ogre_1_1_focused_shadow_camera_setup.html#adce32528577d71b228692df906ecd17c",
"class_ogre_1_1_forward_clustered.html#aea2eb4c0d7b39ec1711a6d4ad60c7ea0",
"class_ogre_1_1_frustum.html#a7d491859c987cf03cd2b62121e9bfea0",
"class_ogre_1_1_g_l3_plus_buffer_interface.html#aac26fbc3fccff4471a230c7a133d7e87",
"class_ogre_1_1_g_l3_plus_depth_texture.html#a0883c51e283830144741fe47a7f3ef00",
"class_ogre_1_1_g_l3_plus_depth_texture_target.html#a32f2e646a09dcdaef810ea402bc92155",
"class_ogre_1_1_g_l3_plus_f_b_o_multi_render_target.html#a595ea4c05da8aa987d3800e65d23355d",
"class_ogre_1_1_g_l3_plus_f_b_o_render_texture.html#acdd2df1d7b419b61d1abd82b72e0d0a5",
"class_ogre_1_1_g_l3_plus_null_texture.html#a6cfc6014da843369b2619d1d7d807569",
"class_ogre_1_1_g_l3_plus_null_texture_target.html#acdd2df1d7b419b61d1abd82b72e0d0a5",
"class_ogre_1_1_g_l3_plus_render_system.html#a2d95c442ca4942a5472a372ec30f7ec0",
"class_ogre_1_1_g_l3_plus_render_system.html#abf7098c116afdd2eeb9104f38d97e51d",
"class_ogre_1_1_g_l3_plus_render_texture.html#ad0b724596d2b9e278293aee6e55a5273",
"class_ogre_1_1_g_l3_plus_tex_buffer_emulated_packed.html#a80c6682bd4adc315782091679d230cee",
"class_ogre_1_1_g_l3_plus_texture.html#a743e5059501507cd858e90532e8263f9",
"class_ogre_1_1_g_l3_plus_texture_gpu.html#aa0c236009b4074f43621c21db5ff6ef4",
"class_ogre_1_1_g_l3_plus_texture_gpu_headless_window.html#acb46d4b0a597156d9ba5abc39d127792",
"class_ogre_1_1_g_l3_plus_texture_gpu_render_target.html#a78663647804665d50f8e0ec251845ff3",
"class_ogre_1_1_g_l3_plus_texture_gpu_window.html#a96a804ee415094f7a8350b351cd7adea",
"class_ogre_1_1_g_l3_plus_uav_buffer_packed.html#a24a2ccddbb2fc851304ae81eb78243ed",
"class_ogre_1_1_g_l_e_s2_buffer_interface.html#a8b33eaa1422d76aa935fdc6a2882bf03",
"class_ogre_1_1_g_l_e_s2_depth_texture_target.html#a098a818a4d699ef9370c95b864a0f197",
"class_ogre_1_1_g_l_e_s2_f_b_o_multi_render_target.html#a2fe16ffcf13b12bcf7d16022c47e645e",
"class_ogre_1_1_g_l_e_s2_gpu_program_manager.html#a6870dfdab954bc10c92d60c10ea86b3c",
"class_ogre_1_1_g_l_e_s2_null_texture_target.html#a63fc6bdc2eb6aeac24898a77ec5e2023",
"class_ogre_1_1_g_l_e_s2_render_system.html#a1ea0e40b3674b58aa08358cc84fe770e",
"class_ogre_1_1_g_l_e_s2_render_system.html#aa9d66fa2deb73aa6577716a9e3fc911c",
"class_ogre_1_1_g_l_e_s2_render_texture.html#a62a35f19422bd10282b044909e757b2e",
"class_ogre_1_1_g_l_e_s2_tex_buffer_emulated_packed.html#a73e02f6b2fa2c16340c1a9359926b481",
"class_ogre_1_1_g_l_e_s2_vao_manager.html#a3a498ec32d3b1c1e7de2d5b2e7efeea0",
"class_ogre_1_1_g_l_s_l_e_s_shader.html#a55797b7e75684828bead3c2fddcd88d0",
"class_ogre_1_1_g_l_s_l_separable_program.html#ae91bba55a10cf25319116f906ca09382",
"class_ogre_1_1_g_l_s_l_shader.html#ab422c67a2c8844f410fe822a357cba3b",
"class_ogre_1_1_g_l_s_l_shader_manager.html#aa7bd4f02b31fba693d3bea6492fe20a8",
"class_ogre_1_1_g_l_x_window.html#a93e6a86dde5483c053ca0f2a85bbfd6c",
"class_ogre_1_1_g_t_k_window.html#ab02f58cb99451d6c34235a3e78bb9417",
"class_ogre_1_1_gpu_program.html#af9de444ed073763581b210652aec30f4",
"class_ogre_1_1_gpu_program_parameters.html#a1c727e879a260c37b00ce5505fe8e144",
"class_ogre_1_1_gpu_shared_parameters.html#a6f0dd794c7a3618f59e4a86bd8ee03d5",
"class_ogre_1_1_high_level_gpu_program.html#a39b43157d6b40626101e5de8f9c77bf5",
"class_ogre_1_1_hlms_buffer_manager.html#a41891adac20124feee29d81237db8197",
"class_ogre_1_1_hlms_datablock.html#aa9ee38f3c54e42d40f7bad067cf1542c",
"class_ogre_1_1_hlms_manager.html#a19dd0921a887b5e16ae2a4798332d245",
"class_ogre_1_1_hlms_pbs_datablock.html#ac4dad687a9d4badb5cd6be9a15ef3f92",
"class_ogre_1_1_hlms_unlit.html#a218186d2adf71133e8f89008af49f8e3",
"class_ogre_1_1_i_o_exception.html#a2bde174f5a413f1f6eee38ab06389c4e",
"class_ogre_1_1_ifd_probe_visualizer.html#ab2cfac9af1b0d71c780ec969166b3585",
"class_ogre_1_1_image_codec.html#a93e6a86dde5483c053ca0f2a85bbfd6c",
"class_ogre_1_1_instant_radiosity.html",
"class_ogre_1_1_internal_cubemap_probe_factory.html#acb46d4b0a597156d9ba5abc39d127792",
"class_ogre_1_1_irradiance_volume.html#a04ed0f732b05f5ce5fd7bdf474fa0250",
"class_ogre_1_1_item.html#afb58624fb567bb790c55d8a716b472da",
"class_ogre_1_1_light.html#a54fc365f16014359d23cecf859da5510",
"class_ogre_1_1_light.html#aff8dd8756aba9a9ecb276270e6614c96",
"class_ogre_1_1_lod_listener.html#aa8bdff391f4865fa7da6f301c350400f",
"class_ogre_1_1_log_manager.html#aa065b5b5d7880c019489fd641e16fcf5",
"class_ogre_1_1_manual_object.html#a767c2599efe9902a0a9435095e75cb91",
"class_ogre_1_1_manual_object_1_1_manual_object_section.html#aa9660b2704e5fbc08bcc7029f0ccbe15",
"class_ogre_1_1_material.html#ac074b3eb66c45685be8fb4b0ebbebcd6",
"class_ogre_1_1_mathlib_c.html#a02049fb867cd3392b4205e2e62f353be",
"class_ogre_1_1_memory_data_stream.html#aa087cdb21a8a33bc68ab06e2e2ef24fc",
"class_ogre_1_1_mesh_serializer.html#aed1464ac3de21ff20db8f9f1f8608dc7",
"class_ogre_1_1_metal_const_buffer_packed.html#a564935579f2252627f46dff29142e7ff",
"class_ogre_1_1_metal_depth_texture.html#a5016aec1762b026997ddd346775879ef",
"class_ogre_1_1_metal_depth_texture_target.html#aa2718c9df91bc7e2cfc67addf06beaae",
"class_ogre_1_1_metal_gpu_program_manager.html#a68acfcef19450e7fac3b31ab01c90438",
"class_ogre_1_1_metal_multi_render_target.html#aa1d5570996e2e5ccf219257ec48d8d7f",
"class_ogre_1_1_metal_null_texture.html#a8ed6a95810f21f53aa8cbc780b680164",
"class_ogre_1_1_metal_null_texture_target.html#ae68eb2ce228a55811c058de85e369a29",
"class_ogre_1_1_metal_program.html#abb164aaa4e34733c91f034b640b2e8df",
"class_ogre_1_1_metal_render_system.html#a36a560a1e0e171b9a1a19a2748e6dd15",
"class_ogre_1_1_metal_render_system.html#ad1f1a983f9e2dfddee802c47bb0b1ca9",
"class_ogre_1_1_metal_render_texture.html#ade23b0e64aea68657b81833b99868802",
"class_ogre_1_1_metal_texture.html#a07e619aa09d3bc6789a6667cb4fc572c",
"class_ogre_1_1_metal_texture_gpu.html#a2e45ab2f1617d1d51c45f687d9ebee8c",
"class_ogre_1_1_metal_texture_gpu_manager.html#ad1ac20a3e1af71009aac610578e30c89",
"class_ogre_1_1_metal_texture_gpu_render_target.html#af943f8d1fd87f457fb4633058d696470",
"class_ogre_1_1_metal_texture_manager.html#a2a3ef36f60dc007920eb9bba20ef9125",
"class_ogre_1_1_metal_vao_manager.html#a29243db990a7d843cf05ae5f36254da3",
"class_ogre_1_1_movable_object.html#a28b12f8d0fd7c9da7fcd1e9806dd8064",
"class_ogre_1_1_movable_plane.html#a2eb94fea5944cf0d33702a75cfa14a74",
"class_ogre_1_1_multi_render_target.html#a93e6a86dde5483c053ca0f2a85bbfd6c",
"class_ogre_1_1_n_u_l_l_const_buffer_packed.html#a50080eb729acd0c995606d512d5633c9",
"class_ogre_1_1_n_u_l_l_render_system.html#a520883a11540189688188087c364c612",
"class_ogre_1_1_n_u_l_l_render_system.html#ae312ae1cc3ee3e6b2fb5e98a62a44989",
"class_ogre_1_1_n_u_l_l_render_window.html#a3dc6e8daa830a8e01b8740674e9ef5dd",
"class_ogre_1_1_n_u_l_l_staging_texture.html#acb46d4b0a597156d9ba5abc39d127792",
"class_ogre_1_1_n_u_l_l_texture.html#a93e6a86dde5483c053ca0f2a85bbfd6c",
"class_ogre_1_1_n_u_l_l_texture_gpu_manager.html#aed1464ac3de21ff20db8f9f1f8608dc7",
"class_ogre_1_1_n_u_l_l_texture_manager.html#acb46d4b0a597156d9ba5abc39d127792",
"class_ogre_1_1_n_u_l_l_window.html#a30c2a1a7d85bf0b2a941f54f6ba6d9e0",
"class_ogre_1_1_na_cl_window.html#a68bd7eab7040d56b092605ab45923799",
"class_ogre_1_1_node.html#ab085e833deecddee7b293fc5e91439f4",
"class_ogre_1_1_null_entity.html#a865cb46cc09cbb8bd560abeca1d0d31e",
"class_ogre_1_1_obj_cmd_buffer.html#a1c727e879a260c37b00ce5505fe8e144",
"class_ogre_1_1_page.html#a5dfd6c79d344e709f5084be205bed2d4",
"class_ogre_1_1_paged_world.html#ac0ef8449d591776b726577f2b4f84605",
"class_ogre_1_1_parallax_corrected_cubemap_auto.html#a56ab5413d6a528e97aab0c6909eacb08",
"class_ogre_1_1_particle_affector.html#aed1464ac3de21ff20db8f9f1f8608dc7",
"class_ogre_1_1_particle_system.html#a7e96f6609b6b0c9a33614c09c04a5224",
"class_ogre_1_1_particle_visual_data.html#a2863bf29693feca5637d1baab698c17a",
"class_ogre_1_1_pcc_per_pixel_grid_placement.html#ace6f80f8122a3a86b9d4a711ee6ba310",
"class_ogre_1_1_plane.html#aa5d44b14d6f032f3e0a26e83589180bca44420e1c49338ae721f298826e164935",
"class_ogre_1_1_profile_instance.html#ad1f1a983f9e2dfddee802c47bb0b1ca9",
"class_ogre_1_1_quaternion.html#ab929010aac9fae8a14008a7213d9d419",
"class_ogre_1_1_r_t_shader_1_1_f_f_p_alpha_test.html#a63fc6bdc2eb6aeac24898a77ec5e2023",
"class_ogre_1_1_r_t_shader_1_1_f_f_p_texturing.html#aed1464ac3de21ff20db8f9f1f8608dc7",
"class_ogre_1_1_r_t_shader_1_1_hardware_skinning.html#a4c2acbc15e44c3fe42868abce1116ec2",
"class_ogre_1_1_r_t_shader_1_1_layered_blending_factory.html#a8357fe4fb4849772b94baa4bf47c7ded",
"class_ogre_1_1_r_t_shader_1_1_parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7abdc93cc5588809630a07c1a6f873d5f6",
"class_ogre_1_1_r_t_shader_1_1_program_writer_factory.html#acb46d4b0a597156d9ba5abc39d127792",
"class_ogre_1_1_r_t_shader_1_1_sub_render_state_factory.html#ac9ab0dc7c43018657518c15484a5bc74",
"class_ogre_1_1_r_t_shader_1_1_uniform_parameter.html#a4fa6286f097d19e92a8ed91645fbfbe7abb144c966825bc4e2608b92861678b7d",
"class_ogre_1_1_rectangle2_d.html#a01f48775e48b672d7796311f3ffe2930",
"class_ogre_1_1_rectangle2_d.html#ac4b8f3f72f7bf7a6bc20dd0677e125c1",
"class_ogre_1_1_render_queue.html#aeb41ed3f50a9e7e270d81d045e8a23e6",
"class_ogre_1_1_render_system_capabilities.html#a5c5748ababf1fed6341974394707af2e",
"class_ogre_1_1_render_texture.html#ab02f58cb99451d6c34235a3e78bb9417",
"class_ogre_1_1_renderable_animated.html#a0c7563dc12f2d0032121403cb4c6f5c2",
"class_ogre_1_1_resource_group_listener.html#aef0cfe4119bc10ddef05f0e994d98566",
"class_ogre_1_1_root.html#ad961ad4d34de07ba101ea92e33007a7b",
"class_ogre_1_1_s_d_l_window.html#aa971d5061a29b749442914de05813682",
"class_ogre_1_1_scene_manager.html#a01ba0aad5090ed0a8ff5e9c3d24fa924",
"class_ogre_1_1_scene_manager.html#a6c140ffaced93a2b854e5c519c8fb568",
"class_ogre_1_1_scene_manager.html#acce173aa89e849bda564f4e6e3be6402",
"class_ogre_1_1_scene_node.html#a2823e6fa418b441cedd70052eee9a376",
"class_ogre_1_1_scene_query.html#a6c520c277bf2db7d9fe0c6ef89153876",
"class_ogre_1_1_shader_params.html#a516fb1b88533884c33b38e14e79a7056",
"class_ogre_1_1_shared_ptr.html#ade5778b20f9c73aba1e6d4860bae2b03",
"class_ogre_1_1_skeleton_instance.html#a8758821ec9236f63106787514b71189f",
"class_ogre_1_1_small_vector.html#ac8f9366b3504393d595e2e1e1c4c6c5b",
"class_ogre_1_1_small_vector_3_01_t_00_010_01_4.html#ad1c6b259854f9fa396fa1eee2e10b2b6",
"class_ogre_1_1_small_vector_impl.html#ade708dba3d6aa380726d9e10dfd6aac7",
"class_ogre_1_1_small_vector_template_base_3_01_t_00_01true_01_4.html#a7f6c13429c1adbcbcddbf33a5a8b3fe8",
"class_ogre_1_1_sphere_scene_query.html#a3eadff3663a1c862a6de073041157bc0",
"class_ogre_1_1_static_cache.html#a5b61f6d3a1c376811aedbd7718890d99",
"class_ogre_1_1_sub_item.html#a8f18715b01c0851631eb9cccd1a05552",
"class_ogre_1_1_tag_point.html#af62a3dc794cf46ef1c023353e1eccbfc",
"class_ogre_1_1_terrain.html#aa23d586fa8023d7992107388bec2d0bd",
"class_ogre_1_1_terrain_group.html#a6f1921036f2e2a12087c5ee792a03492",
"class_ogre_1_1_terrain_material_generator_a_1_1_s_m2_profile.html#aed1464ac3de21ff20db8f9f1f8608dc7",
"class_ogre_1_1_tex_buffer_packed.html#af98ad9606c188cc815fc647a21f20498",
"class_ogre_1_1_texture_filter_1_1_filter_base.html#a037eeaf32c0d8df71ba2f8ea4f4cbc75",
"class_ogre_1_1_texture_gpu.html#aa3c2ce1e86de183dd2e2eff87da180a5",
"class_ogre_1_1_texture_unit_state.html#a0352735318871460355e4b292d9c35fe",
"class_ogre_1_1_timer.html#a8357fe4fb4849772b94baa4bf47c7ded",
"class_ogre_1_1_unified_high_level_gpu_program_factory.html#acca4706f7fc63cb7db6892f4571af5dc",
"class_ogre_1_1_vct_lighting.html#ac1f369e42029121504f471875b03c5ba",
"class_ogre_1_1_vector3.html#ab3362da0f1efe0e31ed6c6f17765d936",
"class_ogre_1_1_viewport.html#a63fc6bdc2eb6aeac24898a77ec5e2023",
"class_ogre_1_1_volume_1_1_c_s_g_scale_source.html#af12b8b530ff766badebce1e43f401e75",
"class_ogre_1_1_volume_1_1_half_float_grid_source.html#a906b862d1ba88f329163e1be1d76b4a5",
"class_ogre_1_1_volume_1_1_octree_node.html#af3c7eea126c40d4dba8783abfbf03cf6",
"class_ogre_1_1_voxel_visualizer.html#a9b4832d473cacad1614494419ffe807f",
"class_ogre_1_1_win32_e_g_l_support.html#aba7b889aca8da4dcfd98d5864aca3eaf",
"class_ogre_1_1_win32_e_g_l_window.html#acfb338c927b445144253ce6893bbbb55",
"class_ogre_1_1_window.html#a70cfe4412cfa68a9423854fc1b19872e",
"class_ogre_1_1_wire_aabb.html#ab3fe0289fbcabb17897c53445fa29339",
"class_ogre_1_1_x11_e_g_l_support.html#a3231189db20cf0b36594703aaafbabd2",
"class_ogre_1_1_x11_e_g_l_window.html#aa4700a4cfb9e67af07602d9917c92831",
"class_ogre_1_1v1_1_1_animation.html#a2af4091d20dc0b5478ba955c844fd932",
"class_ogre_1_1v1_1_1_billboard_chain.html#a0c726a0326e8a7d9e80d030541b6bddf",
"class_ogre_1_1v1_1_1_billboard_particle_renderer_1_1_cmd_billboard_origin.html",
"class_ogre_1_1v1_1_1_billboard_set_factory.html#af3cfefb079e0fd6337185c0ae8664cf8",
"class_ogre_1_1v1_1_1_border_renderable.html#a4136ce4b9d3add5203339327015d872d",
"class_ogre_1_1v1_1_1_d3_d11_hardware_buffer.html#af31fa0dc4db159f59e97db8fb34a99b3",
"class_ogre_1_1v1_1_1_d3_d11_hardware_index_buffer.html#ae316a5bab41a756a80af2867b451edd3",
"class_ogre_1_1v1_1_1_d3_d11_hardware_vertex_buffer.html#a8357fe4fb4849772b94baa4bf47c7ded",
"class_ogre_1_1v1_1_1_default_hardware_buffer_manager_base.html#a6226ef7551a81bb853b64b61f8590e96",
"class_ogre_1_1v1_1_1_entity.html#a07817924e903270a7b1546ad64ab6628",
"class_ogre_1_1v1_1_1_entity.html#ac96f7d0b4ab7fed5da25668223d218d0",
"class_ogre_1_1v1_1_1_g_l3_plus_default_hardware_buffer_manager_base.html#adce32528577d71b228692df906ecd17c",
"class_ogre_1_1v1_1_1_g_l3_plus_default_hardware_uniform_buffer.html#a9eedb453524a52c58bf07b44a28254ff",
"class_ogre_1_1v1_1_1_g_l3_plus_hardware_buffer_manager_base.html#a73af0e384fffafd30ec13438507d31eb",
"class_ogre_1_1v1_1_1_g_l3_plus_hardware_pixel_buffer.html#a15616b1645a8d88b0824b77a3cca3a78",
"class_ogre_1_1v1_1_1_g_l3_plus_hardware_uniform_buffer.html#a93e6a86dde5483c053ca0f2a85bbfd6c",
"class_ogre_1_1v1_1_1_g_l3_plus_render_to_vertex_buffer.html#a5af8bbb6c9e652b572bb2a40e3ed7ec8",
"class_ogre_1_1v1_1_1_g_l_e_s2_default_hardware_buffer_manager_base.html#a4b495397711f2183c49b4900bb425e78",
"class_ogre_1_1v1_1_1_g_l_e_s2_default_hardware_vertex_buffer.html#a0f799bd84e9296e128890219d0a1c6cf",
"class_ogre_1_1v1_1_1_g_l_e_s2_hardware_index_buffer.html#a1964fc7402ab546f2d645591a93cb38b",
"class_ogre_1_1v1_1_1_g_l_e_s2_render_buffer.html#a2762fe6bafe2b4bf7e2149b6f2ea4f56",
"class_ogre_1_1v1_1_1_g_l_e_s2_texture_buffer.html#ade7ce2b063b72c585fd74ba2d10e5525",
"class_ogre_1_1v1_1_1_hardware_index_buffer_shared_ptr.html#a1fe9d89e89df46f06ea5d3173bb554ac",
"class_ogre_1_1v1_1_1_manual_object.html#a0ae22596b5bd2a3faf2958ab3d109d1f",
"class_ogre_1_1v1_1_1_manual_object.html#aef2a2634077942a2939514a6c1114d32",
"class_ogre_1_1v1_1_1_mesh.html#a323c2a05ebcfb72efdb2bed0e438e338",
"class_ogre_1_1v1_1_1_mesh_serializer_impl.html#a63fc6bdc2eb6aeac24898a77ec5e2023",
"class_ogre_1_1v1_1_1_metal_hardware_buffer_manager.html#afae0e3c4fb95f96b60147cde62b0bacb",
"class_ogre_1_1v1_1_1_metal_hardware_pixel_buffer.html#ab26c61d90e4a8a1f6113cd31a12e24b9",
"class_ogre_1_1v1_1_1_metal_texture_buffer.html",
"class_ogre_1_1v1_1_1_node_animation_track.html#a62cfde4aa9a0d635424b08e6669d7196",
"class_ogre_1_1v1_1_1_old_node.html#a754529ea998362845d642e1dc0b9e64e",
"class_ogre_1_1v1_1_1_old_skeleton_instance.html#a4cf302873f377438128316b09d57e748",
"class_ogre_1_1v1_1_1_overlay.html#a77198e02dd65dd368ea4e6af88a93fda",
"class_ogre_1_1v1_1_1_overlay_element.html#a23dff15fe9ead167e2a0441014947302",
"class_ogre_1_1v1_1_1_overlay_system.html#ab422c67a2c8844f410fe822a357cba3b",
"class_ogre_1_1v1_1_1_patch_mesh.html#a3c600369ab5d6957524125c93915019f",
"class_ogre_1_1v1_1_1_rectangle2_d.html#a38f8241458458e4f1235eae7d8f850c3",
"class_ogre_1_1v1_1_1_rectangle2_d_factory.html#a63fc6bdc2eb6aeac24898a77ec5e2023",
"class_ogre_1_1v1_1_1_ribbon_trail_factory.html",
"class_ogre_1_1v1_1_1_simple_renderable.html#ac5e898937867475e52d350d1f4d75e32",
"class_ogre_1_1v1_1_1_static_geometry.html#ab89079d12c053f752fae0b617dc8ed6e",
"class_ogre_1_1v1_1_1_static_geometry_1_1_material_bucket.html#a47061bf02c161a37707a55d0a1b93860",
"class_ogre_1_1v1_1_1_static_geometry_1_1_region.html#adce32528577d71b228692df906ecd17c",
"class_ogre_1_1v1_1_1_sub_mesh.html#ae7353a0fed7415ad9faf95ff858e6f40",
"class_ogre_1_1v1_1_1_text_area_overlay_element.html#aad50697686b0d35940e243179003814a",
"class_ogre_1_1v1_1_1_vertex_declaration.html#a2be2300df696d5deb56baa6bfa330f70",
"class_ogre_1_1v1_1_1_wire_bounding_box.html#a6b823b52684730302908ecfd1a8e6d54",
"dir_1090f1c02e48b415651a211cfcbe0c51.html",
"functions_vars_f.html",
"group___general.html#gaff99144200fcf04a0ae7033fcc623023",
"group___general.html#gga30d5439896c2a2362024ec689b1e181ca9ad41f606abd415dcbdf5543b4d1b0a3",
"group___general.html#ggae8bb1cb809660de802d1d592ba4adb61a6e595fbb31308c6b01f35221903f4706",
"group___image.html#gga71f09fe41a1db41186262f1aa5814a18ae99c67a8cc875a1c7a8d4b05be175dc4",
"group___materials.html#gga9c5b2950be06ff56a6ee0bace240d447a278c0c55560cb39e67ce17239dc8184e",
"group___overlays.html#gac54db0c8ba0601959c7294079b513812",
"group___render_system.html#gga3d2965b7f378ebdcfe8a4a6cf74c3de7a2de4b26152004c45bf22ac3c06c20d46",
"group___resources.html#ggad08e89fa63e81d061ea9e2f37664976ea3d96c54ace718f26c66067503efd56a3",
"namespace_ogre.html#a0a62b3f2ede8992ff365bb013a8bc00dae54f94c9c9cf553d227c2aab2c499bbf",
"namespace_ogre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d",
"namespace_ogre_1_1_read_barrier.html#a960f15a9832ee3808649ba8217aa793ea600720d8bd9205348098608f47ab9c20",
"struct_ogre_1_1___config_option.html#a593e092398f21c40c4303bdbac89097f",
"struct_ogre_1_1_cb_samplers.html#a88613d122b406c306dd5a69654d01eeb",
"struct_ogre_1_1_cull_frustum_request.html#a58758429b59d8cd22b310cfdece4e9c6",
"struct_ogre_1_1_egl_p_buffer_support_1_1_device_data.html#a1322940e2216f41f4f0e08764d1fca08",
"struct_ogre_1_1_g_l_e_s2_vao_manager_1_1_stride_changer.html#a0c5c1e5a38e1a6544b53cf5617187a5f",
"struct_ogre_1_1_hlms_base_prop.html#aab5d85adccb5bcbd67d7fac9570dcd51",
"struct_ogre_1_1_id_string.html#a34d6188685e991789d904b1151d16f07",
"struct_ogre_1_1_lod_data_1_1_index_buffer_info.html#ace8f068f6f7d83cf1ae6dd0a92b26ee6",
"struct_ogre_1_1_metal_discard_buffer_manager_1_1_unsafe_block.html#a1d62911bfc305a871b5b5e2ba15d7701",
"struct_ogre_1_1_pbs_mobile_shader_creation_data.html#a163d90164d7486b361d5e87310c80f01",
"struct_ogre_1_1_raster_params.html#abb3063ac46798d8104a2b148fef9f9c8",
"struct_ogre_1_1_shader_params_1_1_param.html#a1c72c84bbfea954d5ea0cc36dafb7985",
"struct_ogre_1_1_terrain_lod_manager_1_1_load_lod_request.html#afa635e167e34d5bc7a75602205410928",
"struct_ogre_1_1_unlit_mobile_prop.html#aec00fa455fe18e2c013bac0b6166ca6b",
"struct_ogre_1_1_vector_range.html#a63c42093c4a283c7f1954970f83cc342",
"struct_ogre_1_1_vertex_array_object.html#a18c774a4e47939b8d4ce980af254c40d",
"struct_ogre_1_1_voxelizer_bucket.html#af8c043ce15e5af490ab69152d2324475",
"struct_ogre_1_1v1_1_1_edge_data_1_1_triangle.html#a533f55fe4445c5ecbcbdaa9123a15fb8"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';